Subject: bug#24105: closed (Re: bug#24105: git package misses man pages)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Aug 2016 02:44:02 +0000

Your bug report

#24105: git package misses man pages

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24105: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24105
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24105: git package misses man pages
From: Leo Famulari <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Andreas Enge <[email-masked]>, [email-masked]
Date: Wed, 17 Aug 2016 22:42:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Aug 17, 2016 at 11:33:54AM +0200, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> > * gnu/packages/version-control.scm (git-manpages): Remove variable.
> > (git)[native-inputs]: Add GIT-MANPAGES.
> > [arguments]: Add 'install-man-pages' phase.
> 
> LGTM!  :-)

Pushed as d1cada045.

Subject: git package misses man pages
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Fri, 29 Jul 2016 14:46:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

wondering why "git log --help" does not work, I thought that maybe there
was a different doc output. But the man pages are actually hidden in a
separate package called "git-manpages". This is surprising for the user.
Also, the resulting package is quite small with only 2.3 MB.

The reason for the separate package is given as this:
  ;; Granted, we could build the man pages from the 'git' package itself,
  ;; which contains the real source.  However, it would add a dependency on a
  ;; full XML tool chain, and building it actually takes ages.  So we use this
  ;; lazy approach.
Building will most of the time happen on the build farm, so the time it
takes should not be an issue. I suppose that the xml tool chain will only
be a native and not a normal input, so it should not be too much of a problem.

I suggest to include the man pages into the git package itself. If building
them is a real issue, adding a source and the build phase of git-manpages
to the git package itself could also be an option.

Thanks!

Andreas